| Resource | Description |
|---|---|
| Agile TV | API REST para gestionar suscripciones, productos y decodificadores (STB) del servicio Agile TV, actuando como fachada para el sistema de provisión SHoPA. |
| Resource | Description |
|---|---|
| Agile TV | API REST para gestionar suscripciones, productos y decodificadores (STB) del servicio Agile TV, actuando como fachada para el sistema de provisión SHoPA. |
Obtiene la información detallada de una suscripción, incluyendo productos y decodificadores.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
OK Información de la suscripción obtenida correctamente.
{
"service_id": "ACC_123456",
"accountState": "ACTIVE",
"products": [
{
"id": "string",
"externalId": "string"
}
],
"stbs": [
{
"stbReference": "string",
"macAddress": "string",
"serialNumber": "string",
"externalId": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
service_id | string | ||||||||||||||||||||||||||||
accountState | string | ||||||||||||||||||||||||||||
products | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
stbs | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Not Found El recurso solicitado (ej. suscripción) no ha sido encontrado.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X GET 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Realiza el alta inicial de un cliente con sus productos, addons y decodificadores.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
{
"externalId": "string",
"postalCode": "48001",
"ftthWorkOrderId": "string",
"products": [
{
"id": "string",
"externalId": "string"
}
],
"addons": [
{
"id": "string",
"externalId": "string"
}
],
"stbs": [
{
"stbReference": "string",
"macAddress": "string",
"serialNumber": "string",
"externalId": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId | string | Identificador opcional para la transacción. | |||||||||||||||||||||||||||
postalCode
*
| string | ||||||||||||||||||||||||||||
ftthWorkOrderId | string | Identificador de la orden de trabajo FTTH. | |||||||||||||||||||||||||||
products
*
| object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
addons | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
stbs | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Accepted Petición de alta aceptada. La provisión se realiza de forma asíncrona.
{
"message": "Request accepted and is being processed.",
"workflowId": "agile-tv-bf37-f1f7fa04776b"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string |
Bad Request La petición es incorrecta o faltan parámetros.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalId": "string",
"postalCode": "48001",
"ftthWorkOrderId": "string",
"products": [
{
"id": "string",
"externalId": "string"
}
],
"addons": [
{
"id": "string",
"externalId": "string"
}
],
"stbs": [
{
"stbReference": "string",
"macAddress": "string",
"serialNumber": "string",
"externalId": "string"
}
]
}' Permite editar datos generales de una suscripción existente.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
{
"externalId": "string",
"postalCode": "48001",
"ftthWorkOrderId": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId | string | Identificador opcional para la transacción. | ||
postalCode
*
| string | |||
ftthWorkOrderId
*
| string | Identificador de la orden de trabajo FTTH. |
Accepted Petición de edición aceptada.
{
"message": "Request accepted and is being processed.",
"workflowId": "agile-tv-bf37-f1f7fa04776b"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string |
Bad Request La petición es incorrecta o faltan parámetros.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Not Found El recurso solicitado (ej. suscripción) no ha sido encontrado.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X PATCH 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalId": "string",
"postalCode": "48001",
"ftthWorkOrderId": "string"
}' Realiza la baja completa del servicio de TV para un cliente.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
Accepted Petición de baja aceptada. La provisión se realiza de forma asíncrona.
{
"message": "Request accepted and is being processed.",
"workflowId": "agile-tv-bf37-f1f7fa04776b"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string |
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Not Found El recurso solicitado (ej. suscripción) no ha sido encontrado.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X DELETE 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Accept: application/json' Permite añadir o eliminar productos principales y addons.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
{
"externalId": "string",
"productsToAdd": [
{
"id": "string",
"externalId": "string"
}
],
"productsToDelete": [
{
"id": "string",
"externalId": "string"
}
],
"addonsToAdd": [
{
"id": "string",
"externalId": "string"
}
],
"addonsToDelete": [
{
"id": "string",
"externalId": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId | string | Identificador opcional para la transacción. | |||||||||||||||||
productsToAdd | object[] | Lista de productos principales para añadir. | |||||||||||||||||
Array items:
| |||||||||||||||||||
productsToDelete | object[] | Lista de productos principales para eliminar. | |||||||||||||||||
Array items:
| |||||||||||||||||||
addonsToAdd | object[] | Lista de addons para añadir. | |||||||||||||||||
Array items:
| |||||||||||||||||||
addonsToDelete | object[] | Lista de addons para eliminar. | |||||||||||||||||
Array items:
| |||||||||||||||||||
Accepted Petición de modificación de productos aceptada.
{
"message": "Request accepted and is being processed.",
"workflowId": "agile-tv-bf37-f1f7fa04776b"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string |
Bad Request La petición es incorrecta o faltan parámetros.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Not Found El recurso solicitado (ej. suscripción) no ha sido encontrado.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X PATCH 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456/products' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalId": "string",
"productsToAdd": [
{
"id": "string",
"externalId": "string"
}
],
"productsToDelete": [
{
"id": "string",
"externalId": "string"
}
],
"addonsToAdd": [
{
"id": "string",
"externalId": "string"
}
],
"addonsToDelete": [
{
"id": "string",
"externalId": "string"
}
]
}' Permite añadir o eliminar decodificadores de una suscripción.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
{
"externalId": "string",
"postalCode": "48001",
"ftthWorkOrderId": "string",
"stbsToAdd": [
{
"stbReference": "string",
"macAddress": "string",
"serialNumber": "string",
"externalId": "string"
}
],
"stbsToDelete": [
{
"stbReference": "string",
"macAddress": "string",
"serialNumber": "string",
"externalId": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId | string | Identificador opcional para la transacción. | |||||||||||||||||||||||||||
postalCode | string | Código postal asociado a la dirección de los STBs. Requerido si se añaden nuevos STBs. | |||||||||||||||||||||||||||
ftthWorkOrderId | string | Identificador de la orden de trabajo FTTH, necesario para algunas operaciones de STB. | |||||||||||||||||||||||||||
stbsToAdd | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
stbsToDelete | object[] | Lista de STBs a eliminar. | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Accepted Petición de modificación de STBs aceptada.
{
"message": "Request accepted and is being processed.",
"workflowId": "agile-tv-bf37-f1f7fa04776b"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string |
Bad Request La petición es incorrecta o faltan parámetros.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Not Found El recurso solicitado (ej. suscripción) no ha sido encontrado.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X PATCH 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456/stbs' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalId": "string",
"postalCode": "48001",
"ftthWorkOrderId": "string",
"stbsToAdd": [
{
"stbReference": "string",
"macAddress": "string",
"serialNumber": "string",
"externalId": "string"
}
],
"stbsToDelete": [
{
"stbReference": "string",
"macAddress": "string",
"serialNumber": "string",
"externalId": "string"
}
]
}' Suspende el servicio de TV o únicamente el servicio de compras.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
{
"externalId": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId | string | Identificador opcional para la transacción. |
Accepted Petición de bloqueo aceptada.
{
"message": "Request accepted and is being processed.",
"workflowId": "agile-tv-bf37-f1f7fa04776b"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string |
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Not Found El recurso solicitado (ej. suscripción) no ha sido encontrado.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456/suspend' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalId": "string"
}' Reactiva una suscripción previamente suspendida.
PATH PARAMETERS
Identificador de la marca.
Identificador único de la suscripción del cliente.
HEADER PARAMETERS
Identificador para trazar la transacción a través de los sistemas.
{
"externalId": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId | string | Identificador opcional para la transacción. |
Accepted Petición de desbloqueo aceptada.
{
"message": "Request accepted and is being processed.",
"workflowId": "agile-tv-bf37-f1f7fa04776b"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
workflowId | string |
Unauthorized Fallo de autenticación o autorización.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Not Found El recurso solicitado (ej. suscripción) no ha sido encontrado.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
Internal Server Error Error interno en el servidor.
{
"code": "RESOURCE_NOT_FOUND",
"title": "Subscription not found",
"details": "The subscription with service_id 'ACC_999999' does not exist."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
title | string | |||
details | string |
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v3/orgs/masmovil/tv/agile/subscriptions/ACC_123456/reactivate' \
-H 'Request-Correlation-Id: 2106f808-36e9-402d-bf37-f1f7fa04776b' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalId": "string"
}'